Skip to main content
GET
/
project-monthly-budget-expenses
List project monthly budget expenses
curl --request GET \
  --url https://www.ruddr.io/api/workspace/project-monthly-budget-expenses \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "id": "3c7f2b91-44a8-4e6d-b105-82d9c0f71e3a",
      "billableAmount": 2500,
      "nonBillableAmount": 750,
      "createdAt": "2025-06-10T14:32:45.871Z",
      "notes": "Monthly travel and accommodation budget for on-site work.",
      "expenseCategory": {
        "id": "9a1d5e04-fc83-4c27-b7e2-d3a60b88c215",
        "name": "Travel"
      },
      "project": {
        "id": "b84e6c37-291f-4a50-9d78-15f0e3c92b46",
        "name": "Acme Platform Redesign",
        "client": {
          "id": "e2a73d58-06b4-47f9-a831-c95d04e17f28",
          "name": "Acme Company, Inc."
        }
      }
    }
  ],
  "hasMore": false
}
The monthly budget for an expense category on a project. Only available for projects that are using a monthly budget and the monthly budget mode is “detailed”.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

startingAfter
string

A cursor ID (uuid) used to request the next page of results. If not provided, defaults to the first page of results.

endingBefore
string

A cursor ID (uuid) used to request the previous page of results. Is mutually exclusive with startingAfter.

limit
string

The maximum number of results to be returned. Can be any number from 1 to 100. Defaults to 10, if not provided.

projectId
string

A project ID (uuid) used to filter objects for a specific project.

Response

200

results
object[]
hasMore
boolean

Whether there are more results available after this page.